Kwalitee Issues

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: YUM::RepoQuery::Schema, YUM::RepoQuery::Schema::Filelists, YUM::RepoQuery::Schema::Other, YUM::RepoQuery::Schema::Primary

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: YUM::RepoQuery::Schema, YUM::RepoQuery::Schema::Filelists, YUM::RepoQuery::Schema::Other, YUM::RepoQuery::Schema::Primary

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

Modules

Name Abstract Version View
YUM::RepoQuery Query a YUM repository for package information 0.002 metacpan
YUM::RepoQuery::Role::DB provide an interface to a specified "type" of yum db 0.002 metacpan
YUM::RepoQuery::Schema dinky little class that we can use for typeconstraints 0.002 metacpan
YUM::RepoQuery::Schema::Filelists metacpan
YUM::RepoQuery::Schema::Filelists::Version10 metacpan
YUM::RepoQuery::Schema::Filelists::Version10::DbInfo metacpan
YUM::RepoQuery::Schema::Filelists::Version10::Filelist metacpan
YUM::RepoQuery::Schema::Filelists::Version10::Packages metacpan
YUM::RepoQuery::Schema::Other metacpan
YUM::RepoQuery::Schema::Other::Version10 metacpan
YUM::RepoQuery::Schema::Other::Version10::Changelog metacpan
YUM::RepoQuery::Schema::Other::Version10::DbInfo metacpan
YUM::RepoQuery::Schema::Other::Version10::Packages metacpan
YUM::RepoQuery::Schema::Primary metacpan
YUM::RepoQuery::Schema::Primary::Version10 metacpan
YUM::RepoQuery::Schema::Primary::Version10::Conflicts metacpan
YUM::RepoQuery::Schema::Primary::Version10::DbInfo metacpan
YUM::RepoQuery::Schema::Primary::Version10::Files metacpan
YUM::RepoQuery::Schema::Primary::Version10::Obsoletes metacpan
YUM::RepoQuery::Schema::Primary::Version10::Packages metacpan
YUM::RepoQuery::Schema::Primary::Version10::Provides metacpan
YUM::RepoQuery::Schema::Primary::Version10::Requires metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan
dist.ini metacpan